package com.ruoyi.ems.domain;


import com.ruoyi.ems.enums.BusObjType;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 对象&标签关系对象 adm_obj_tag_rel
 * 
 * @author ruoyi
 * @date 2024-08-27
 */
public class ObjTagRel
{
    /** 标签代码 */
    private String tagCode;

    /**
     * 标签名称
     */
    private String tagName;

    /**
     * 对象类型
     */
    private int objType;

    /** 对象代码 */
    private String objCode;

    public ObjTagRel(){
    }

    public ObjTagRel(String tagCode, BusObjType objType, String objCode) {
        this.tagCode = tagCode;
        this.objType = objType.getValue();
        this.objCode = objCode;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public int getObjType() {
        return objType;
    }

    public void setObjType(int objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tagCode", getTagCode())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("tagName", getTagName())
            .toString();
    }
}
